
public class Class257 implements Runnable {

   Thread aThread3036 = new Thread(this);
   int anInt3037 = 0;
   boolean aBool3038 = false;
   Class455 aClass455_3039 = new Class455();


   public void method4620() {
      while(!this.aBool3038) {
         Class455 var1 = this.aClass455_3039;
         Class225_Sub14_Sub14_Sub1 var2;
         synchronized(var1) {
            var2 = (Class225_Sub14_Sub14_Sub1)this.aClass455_3039.method7601(-2043717763);
            if(var2 == null) {
               try {
                  this.aClass455_3039.wait();
               } catch (InterruptedException var6) {
                  ;
               }
               continue;
            }

            this.anInt3037 -= 161041717;
         }

         try {
            if(var2.anInt10663 * -1263800647 == 2) {
               var2.aClass218_10665.method3752((int)(1829511394841334953L * var2.aLong8552), var2.aByteArray10662, var2.aByteArray10662.length, 877525086);
            } else if(var2.anInt10663 * -1263800647 == 3) {
               var2.aByteArray10662 = var2.aClass218_10665.method3751((int)(1829511394841334953L * var2.aLong8552), 459758898);
            }
         } catch (Exception var5) {
            Class109.method2190((String)null, var5, 28579489);
         }

         var2.aBool10562 = false;
      }

   }

   Class225_Sub14_Sub14_Sub1 method4621(int var1, Class218 var2, int var3) {
      Class225_Sub14_Sub14_Sub1 var4 = new Class225_Sub14_Sub14_Sub1();
      var4.anInt10663 = 126859145;
      Class455 var5 = this.aClass455_3039;
      synchronized(var5) {
         Class225_Sub14_Sub14_Sub1 var6 = (Class225_Sub14_Sub14_Sub1)this.aClass455_3039.method7602(-1401894017);

         while(true) {
            if(var6 == null) {
               break;
            }

            if(var6.aLong8552 * 1829511394841334953L == (long)var1 && var6.aClass218_10665 == var2 && 2 == -1263800647 * var6.anInt10663) {
               var4.aByteArray10662 = var6.aByteArray10662;
               var4.aBool10562 = false;
               return var4;
            }

            var6 = (Class225_Sub14_Sub14_Sub1)this.aClass455_3039.method7604(-646532979);
         }
      }

      var4.aByteArray10662 = var2.method3751(var1, 85477278);
      var4.aBool10562 = false;
      var4.aBool10561 = true;
      return var4;
   }

   Class225_Sub14_Sub14_Sub1 method4622(int var1, byte[] var2, Class218 var3, byte var4) {
      Class225_Sub14_Sub14_Sub1 var5 = new Class225_Sub14_Sub14_Sub1();
      var5.anInt10663 = 253718290;
      var5.aLong8552 = (long)var1 * -236081858295902311L;
      var5.aByteArray10662 = var2;
      var5.aClass218_10665 = var3;
      var5.aBool10561 = false;
      this.method4634(var5, (byte)-41);
      return var5;
   }

   Class225_Sub14_Sub14_Sub1 method4623(int var1, Class218 var2, int var3) {
      Class225_Sub14_Sub14_Sub1 var4 = new Class225_Sub14_Sub14_Sub1();
      var4.anInt10663 = 380577435;
      var4.aLong8552 = (long)var1 * -236081858295902311L;
      var4.aClass218_10665 = var2;
      var4.aBool10561 = false;
      this.method4634(var4, (byte)-82);
      return var4;
   }

   public Class257() {
      this.aThread3036.setDaemon(true);
      this.aThread3036.start();
      this.aThread3036.setPriority(1);
   }

   public void run() {
      while(!this.aBool3038) {
         Class455 var1 = this.aClass455_3039;
         Class225_Sub14_Sub14_Sub1 var2;
         synchronized(var1) {
            var2 = (Class225_Sub14_Sub14_Sub1)this.aClass455_3039.method7601(-1666125951);
            if(var2 == null) {
               try {
                  this.aClass455_3039.wait();
               } catch (InterruptedException var6) {
                  ;
               }
               continue;
            }

            this.anInt3037 -= 161041717;
         }

         try {
            if(var2.anInt10663 * -1263800647 == 2) {
               var2.aClass218_10665.method3752((int)(1829511394841334953L * var2.aLong8552), var2.aByteArray10662, var2.aByteArray10662.length, 624410311);
            } else if(var2.anInt10663 * -1263800647 == 3) {
               var2.aByteArray10662 = var2.aClass218_10665.method3751((int)(1829511394841334953L * var2.aLong8552), -857019562);
            }
         } catch (Exception var5) {
            Class109.method2190((String)null, var5, -1170422181);
         }

         var2.aBool10562 = false;
      }

   }

   public int method4624(byte var1) {
      Class455 var2 = this.aClass455_3039;
      synchronized(var2) {
         return this.anInt3037 * -419537635;
      }
   }

   public void method4625(int var1) {
      this.aBool3038 = true;
      Class455 var2 = this.aClass455_3039;
      synchronized(var2) {
         this.aClass455_3039.notifyAll();
      }

      try {
         this.aThread3036.join();
      } catch (InterruptedException var4) {
         ;
      }

      this.aThread3036 = null;
   }

   public int method4626() {
      Class455 var1 = this.aClass455_3039;
      synchronized(var1) {
         return this.anInt3037 * -419537635;
      }
   }

   public void method4627() {
      this.aBool3038 = true;
      Class455 var1 = this.aClass455_3039;
      synchronized(var1) {
         this.aClass455_3039.notifyAll();
      }

      try {
         this.aThread3036.join();
      } catch (InterruptedException var3) {
         ;
      }

      this.aThread3036 = null;
   }

   public void method4628() {
      while(!this.aBool3038) {
         Class455 var1 = this.aClass455_3039;
         Class225_Sub14_Sub14_Sub1 var2;
         synchronized(var1) {
            var2 = (Class225_Sub14_Sub14_Sub1)this.aClass455_3039.method7601(-1915064764);
            if(var2 == null) {
               try {
                  this.aClass455_3039.wait();
               } catch (InterruptedException var6) {
                  ;
               }
               continue;
            }

            this.anInt3037 -= 161041717;
         }

         try {
            if(var2.anInt10663 * -1263800647 == 2) {
               var2.aClass218_10665.method3752((int)(1829511394841334953L * var2.aLong8552), var2.aByteArray10662, var2.aByteArray10662.length, 1219834254);
            } else if(var2.anInt10663 * -1263800647 == 3) {
               var2.aByteArray10662 = var2.aClass218_10665.method3751((int)(1829511394841334953L * var2.aLong8552), 411971306);
            }
         } catch (Exception var5) {
            Class109.method2190((String)null, var5, 1014348434);
         }

         var2.aBool10562 = false;
      }

   }

   public void method4629() {
      while(!this.aBool3038) {
         Class455 var1 = this.aClass455_3039;
         Class225_Sub14_Sub14_Sub1 var2;
         synchronized(var1) {
            var2 = (Class225_Sub14_Sub14_Sub1)this.aClass455_3039.method7601(-1679780833);
            if(var2 == null) {
               try {
                  this.aClass455_3039.wait();
               } catch (InterruptedException var6) {
                  ;
               }
               continue;
            }

            this.anInt3037 -= 161041717;
         }

         try {
            if(var2.anInt10663 * -1263800647 == 2) {
               var2.aClass218_10665.method3752((int)(1829511394841334953L * var2.aLong8552), var2.aByteArray10662, var2.aByteArray10662.length, -769977286);
            } else if(var2.anInt10663 * -1263800647 == 3) {
               var2.aByteArray10662 = var2.aClass218_10665.method3751((int)(1829511394841334953L * var2.aLong8552), -870459594);
            }
         } catch (Exception var5) {
            Class109.method2190((String)null, var5, -520483375);
         }

         var2.aBool10562 = false;
      }

   }

   void method4630(Class225_Sub14_Sub14_Sub1 var1) {
      Class455 var2 = this.aClass455_3039;
      synchronized(var2) {
         this.aClass455_3039.method7600(var1, 1559564665);
         this.anInt3037 += 161041717;
         this.aClass455_3039.notifyAll();
      }
   }

   void method4631(Class225_Sub14_Sub14_Sub1 var1) {
      Class455 var2 = this.aClass455_3039;
      synchronized(var2) {
         this.aClass455_3039.method7600(var1, 1870155779);
         this.anInt3037 += 161041717;
         this.aClass455_3039.notifyAll();
      }
   }

   Class225_Sub14_Sub14_Sub1 method4632(int var1, Class218 var2) {
      Class225_Sub14_Sub14_Sub1 var3 = new Class225_Sub14_Sub14_Sub1();
      var3.anInt10663 = 380577435;
      var3.aLong8552 = (long)var1 * -236081858295902311L;
      var3.aClass218_10665 = var2;
      var3.aBool10561 = false;
      this.method4634(var3, (byte)-8);
      return var3;
   }

   public int method4633() {
      Class455 var1 = this.aClass455_3039;
      synchronized(var1) {
         return this.anInt3037 * -419537635;
      }
   }

   void method4634(Class225_Sub14_Sub14_Sub1 var1, byte var2) {
      Class455 var3 = this.aClass455_3039;
      synchronized(var3) {
         this.aClass455_3039.method7600(var1, 1151646402);
         this.anInt3037 += 161041717;
         this.aClass455_3039.notifyAll();
      }
   }

   public void method4635() {
      this.aBool3038 = true;
      Class455 var1 = this.aClass455_3039;
      synchronized(var1) {
         this.aClass455_3039.notifyAll();
      }

      try {
         this.aThread3036.join();
      } catch (InterruptedException var3) {
         ;
      }

      this.aThread3036 = null;
   }

   public int method4636() {
      Class455 var1 = this.aClass455_3039;
      synchronized(var1) {
         return this.anInt3037 * -419537635;
      }
   }

   public void method4637() {
      this.aBool3038 = true;
      Class455 var1 = this.aClass455_3039;
      synchronized(var1) {
         this.aClass455_3039.notifyAll();
      }

      try {
         this.aThread3036.join();
      } catch (InterruptedException var3) {
         ;
      }

      this.aThread3036 = null;
   }

   public void method4638() {
      this.aBool3038 = true;
      Class455 var1 = this.aClass455_3039;
      synchronized(var1) {
         this.aClass455_3039.notifyAll();
      }

      try {
         this.aThread3036.join();
      } catch (InterruptedException var3) {
         ;
      }

      this.aThread3036 = null;
   }

   public static Class214 method4639(int var0, int var1, int var2, int var3, boolean var4, int var5, int var6) {
      if((var4?Class500.aClass225_Sub6_5953.aClass463_Sub9_8492.method12871(-1850365524):Class500.aClass225_Sub6_5953.aClass463_Sub9_8499.method12871(-630274590)) != 0 && var1 != 0 && 49139505 * Class226.anInt2612 < 50 && var0 != -1) {
         Class214 var7 = new Class214((byte)(var4?3:2), var0, var1, var2, var3, 0, var5, (Class515_Sub1)null);
         Class226.aClass214Array2622[(Class226.anInt2612 += -2086983215) * 49139505 - 1] = var7;
         return var7;
      } else {
         return null;
      }
   }

   static final void method4640(Class508 var0, byte var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = client.aClass273Array7653[var2].anInt3178 * -866988213;
   }

   public static String method4641(long var0, int var2, boolean var3, Class470 var4, short var5) {
      char var6 = 44;
      char var7 = 46;
      if(Class470.aClass470_5782 == var4) {
         var6 = 46;
         var7 = 44;
      }

      if(Class470.aClass470_5772 == var4) {
         var7 = 160;
      }

      boolean var8 = false;
      if(var0 < 0L) {
         var8 = true;
         var0 = -var0;
      }

      StringBuilder var9 = new StringBuilder(26);
      int var10;
      int var11;
      if(var2 > 0) {
         for(var10 = 0; var10 < var2; ++var10) {
            var11 = (int)var0;
            var0 /= 10L;
            var9.append((char)(var11 + 48 - (int)var0 * 10));
         }

         var9.append(var6);
      }

      var10 = 0;

      while(true) {
         var11 = (int)var0;
         var0 /= 10L;
         var9.append((char)(48 + var11 - (int)var0 * 10));
         if(var0 == 0L) {
            if(var8) {
               var9.append('-');
            }

            return var9.reverse().toString();
         }

         if(var3) {
            ++var10;
            if(var10 % 3 == 0) {
               var9.append(var7);
            }
         }
      }
   }

   static final void method4642(Class508 var0, int var1) {
      Class505 var2 = var0.aBool6014?var0.aClass505_6011:var0.aClass505_6010;
      Class124 var3 = var2.aClass124_5977;
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = 961358561 * var3.anInt1444;
   }

   static final void method4643(Class124 var0, Class508 var1, int var2) {
      int var3 = var1.anIntArray6027[(var1.anInt6003 -= 98312473) * -937710807];
      int var4 = var1.anIntArray6027[(var1.anInt6003 -= 98312473) * -937710807] - 1;
      if(6 != var0.anInt1410 * -1001045855) {
         throw new RuntimeException("");
      } else {
         Class411 var5 = Class40.aClass388_439.method6647(var0.anInt1411 * -1781327493, 1116098989);
         if(null == var0.aClass396_1535) {
            var0.aClass396_1535 = new Class396(var5, true);
         }

         var0.aClass396_1535.aLong4883 = Class548.method11777(584456697) * 7467713779253192983L;
         if(var4 >= 0 && var4 < var5.anIntArray5031.length) {
            var0.aClass396_1535.anIntArray4881[var4] = var3;
            Class460.method7767(var0, 759536293);
         } else {
            throw new RuntimeException("" + var4);
         }
      }
   }

   static final void method4644(Class508 var0, int var1) {
      Class215_Sub1.aBool8345 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807] == 1;
   }

   static final void method4645(Class508 var0, int var1) {
      var0.anInt6003 -= 196624946;
      int var2 = var0.anIntArray6027[-937710807 * var0.anInt6003];
      int var3 = var0.anIntArray6027[1 + var0.anInt6003 * -937710807];
      int var4 = Class255.aClass434_3029.method7328(var2, 567618836).method15626(var3, 658453820).anInt7175 * -602422471;
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = var4;
   }
}
